Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Interface Union

All Superinterfaces:
  SelectExecutor

All Known Implementing Classes:
  LogicalUnion

    public interface Union

extends SelectExecutor

SQL UNION.

Author:
  Abe White

Nested Class Summary
`static interface` | `Union.Selector` A callback used to create the selects in a SQL union.

Method Summary
`void` | `abortUnion()` Force the use of a series of standard selects rather than a true UNION.
`String` | `getOrdering()` Get the union-level ordering, if any.
`Select[]` | `getSelects()` Return the selects that make up this union.
`boolean` | `isSingleResult()` Whether this union will return at most a single result.
`boolean` | `isUnion()` Whether this is a true UNION, rather than a logical combination of independent selects.
`void` | `select(Union.Selector selector)` Select data using the given selector.
`void` | `setSingleResult(boolean single)` Whether this union will return at most a single result.

Methods inherited from interface org.apache.openjpa.jdbc.sql.SelectExecutor
`execute, execute, getAutoDistinct, getConfiguration, getCount, getJoinSyntax, isDistinct, isLRS, setAutoDistinct, setDistinct, setJoinSyntax, setLRS, supportsLocking, supportsRandomAccess, toSelect, toSelectCount`

Method Detail

### getSelects

    Select[] getSelects()

  Return the selects that make up this union.

### getOrdering

    String getOrdering()

  Get the union-level ordering, if any.

### isSingleResult

    boolean isSingleResult()

  Whether this union will return at most a single result. Setting this flag makes it more efficient to execute logical unions that are actually made up from multiple selects executed in batch.

### setSingleResult

    void setSingleResult(boolean single)

  Whether this union will return at most a single result. Setting this flag makes it more efficient to execute logical unions that are actually made up from multiple selects executed in batch.

### isUnion

    boolean isUnion()

  Whether this is a true UNION, rather than a logical combination of independent selects.

### abortUnion

    void abortUnion()

  Force the use of a series of standard selects rather than a true UNION.

### select

    void select(Union.Selector selector)

  Select data using the given selector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.